Package com.avaya.clientservices.call.feature

## Enum CallRecordingActionType

- java.lang.Object
- - java.lang.Enum<CallRecordingActionType>
  - - com.avaya.clientservices.call.feature.CallRecordingActionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallRecordingActionType>`

      public enum CallRecordingActionType
      extends java.lang.Enum<CallRecordingActionType>

  The Call Recording action types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PAUSE_RECORDING` | The action to pause call recording.
    `RESUME_RECORDING` | The action to resume call recording.
    `START_RECORDING` | The action to start call recording.
    `STOP_RECORDING` | The action to stop call recording.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallRecordingActionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallRecordingActionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_RECORDING

          public static final CallRecordingActionType START_RECORDING

      The action to start call recording.

    - #### STOP_RECORDING

          public static final CallRecordingActionType STOP_RECORDING

      The action to stop call recording.

    - #### PAUSE_RECORDING

          public static final CallRecordingActionType PAUSE_RECORDING

      The action to pause call recording.

    - #### RESUME_RECORDING

          public static final CallRecordingActionType RESUME_RECORDING

      The action to resume call recording.

  - ### Method Detail

    - #### values

          public static CallRecordingActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallRecordingActionType c : CallRecordingActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallRecordingActionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null